Forum |  HardWare.fr | News | Articles | PC | S'identifier | S'inscrire | Shop Recherche
756 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  [Debian Sid] KDE ne se lance plus

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

[Debian Sid] KDE ne se lance plus

n°991330
vincegr
Posté le 14-12-2007 à 11:31:45  profilanswer
 

Hi all,
 
Mon KDE ne se lance plus !  :cry:  
Une Debian Sid n'est peut être plus trop adapté à mon niveau qui a fortement baissé.
Bref, j'avais voulu faire une modif de mon xorg.conf au niveau de ma souris et je ne suis plus capable de dire ce qui a déclenché le problème.
 
Je n'ai aucune erreur dans mon log de xorg.
J'ai testé avec les différents drivers ati fglrx et vesa mais kde refuse de se lancer.
Je lance mon kdm et me log et j'ai de nouveau l'interface de login ... on tourne en boucle.
 
Je sais pas si je suis clair mais je suis perdu. J'ai cherché partout et ne trouve pas de réponse à mon problème !
 
Merci de votre aide !

mood
Publicité
Posté le 14-12-2007 à 11:31:45  profilanswer
 

n°991331
o'gure
Modérateur
Multi grognon de B_L
Posté le 14-12-2007 à 11:33:41  profilanswer
 

Passe en mode console et supprime rajoute un .old à tous les noms des dossiers relatifs à kde. Par exemple :
mv ~/.kde ~/kde.old
 
et réessaye


---------------
Ton Antoine commence à me les briser menus !
n°991332
zecrazytux
Posté le 14-12-2007 à 11:34:18  profilanswer
 

les droits sur ton répertoire personnel, le dossier temporaire, les ficheirs de conf de kde ?
 


---------------
Blog photo/récits activités en montagne http://planetcaravan.net
n°991334
o'gure
Modérateur
Multi grognon de B_L
Posté le 14-12-2007 à 11:34:49  profilanswer
 

et regarde dans ton ~/.xsession-errors


Message édité par o'gure le 14-12-2007 à 11:34:53

---------------
Ton Antoine commence à me les briser menus !
n°991337
vincegr
Posté le 14-12-2007 à 11:51:05  profilanswer
 

un more .xsession.errors me retourne :
 
/etc/kde3/kdm/Xsession: line 46: /etcX11/Xsession: Au fichier ou répertoire de ce type

n°991401
zecrazytux
Posté le 14-12-2007 à 14:27:24  profilanswer
 

manque un slash :)


---------------
Blog photo/récits activités en montagne http://planetcaravan.net
n°991418
vincegr
Posté le 14-12-2007 à 15:18:54  profilanswer
 

pareil même avec un /

n°991420
zecrazytux
Posté le 14-12-2007 à 15:21:52  profilanswer
 

vincegr a écrit :

pareil même avec un /


 
comment ça ?


---------------
Blog photo/récits activités en montagne http://planetcaravan.net
n°991422
vincegr
Posté le 14-12-2007 à 15:39:00  profilanswer
 

un more ~/.xsession-errors me retourne le même message d'erreur

n°991427
zecrazytux
Posté le 14-12-2007 à 15:49:51  profilanswer
 

vincegr a écrit :

un more .xsession.errors me retourne :
 
/etc/kde3/kdm/Xsession: line 46: /etcX11/Xsession: Au fichier ou répertoire de ce type



---------------
Blog photo/récits activités en montagne http://planetcaravan.net
mood
Publicité
Posté le 14-12-2007 à 15:49:51  profilanswer
 

n°991434
vincegr
Posté le 14-12-2007 à 16:19:48  profilanswer
 

ha oui pardon c'est un oubli de ma part il y a bien un / entre etc et X11

n°991439
THRAK
- THR4K -
Posté le 14-12-2007 à 16:55:06  profilanswer
 

vincegr a écrit :

Hi all,
 
Mon KDE ne se lance plus !  :cry:  
 
Je n'ai aucune erreur dans mon log de xorg.
J'ai testé avec les différents drivers ati fglrx et vesa mais kde refuse de se lancer.
Je lance mon kdm et me log et j'ai de nouveau l'interface de login ... on tourne en boucle.


À partir du moment où tu arrives sur l'écran de login de KDM, il y a peu de chances que le problème soit au niveau de X.Org lui-même ou d'une mauvaise configuration de ton xorg.conf sans quoi KDM ne s'afficherait même pas et tu te retrouverais en mode console.
 
C'est donc sans doute lié à KDE lui-même. Si tu as récemment mis à jour ta Sid, regardes si tu n'es pas victime du bug suivant (une possible solution au problème est fournie) :
   ---> http://bugs.debian.org/cgi-bin/bug [...] bug=454927
 
 :)


---------------
THRAK (def.) : 1) A sudden and precise impact moving from intention, direction and commitment, in service of an aim. 2) 117 guitars almost striking the same chord simultaneously.
n°991553
vincegr
Posté le 15-12-2007 à 09:09:46  profilanswer
 

J'ai effectivement le même problème mentionné dans le rapport de bug.
La solution proposée ne fonctionne pas chez moi.

n°991559
Riot
Buy me a riot
Posté le 15-12-2007 à 10:02:13  profilanswer
 

Par hasard ton /home ne serait pas plein ?


---------------
Be the one with the flames.
n°991579
vincegr
Posté le 15-12-2007 à 11:41:57  profilanswer
 

Et non, mon /home n'est pas plein.
Franchement je sèche !
Mais le message d'erreur cité plus haut n'est-il pas une piste ?

n°991580
Riot
Buy me a riot
Posté le 15-12-2007 à 11:46:31  profilanswer
 

Installe ou réinstalle x11-common


---------------
Be the one with the flames.
n°991590
vincegr
Posté le 15-12-2007 à 11:57:29  profilanswer
 

Fait ... mais toujours les symptômes !

n°991594
vincegr
Posté le 15-12-2007 à 12:12:29  profilanswer
 

Dans mon /etc/X11 je n'ai effectivement pas de fichier Xsession.
Est ce normal ? Chez vous c'est comment ?

n°991596
Riot
Buy me a riot
Posté le 15-12-2007 à 12:18:31  profilanswer
 

Moi je l'ai. C'est le paquet x11-common qui le fournit.
Si tu ne l'as pas après l'avoir réinstallé (aptitude reinstall x11-common), tu devrais faire un rapport de bug.
 
Voici son contenu :

Citation :

#!/bin/sh
#
# /etc/X11/Xsession
#
# global Xsession file -- used by display managers and xinit (startx)
 
# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $
 
set -e
 
PROGNAME=Xsession
 
message () {
  # pretty-print messages of arbitrary length; use xmessage if it
  # is available and $DISPLAY is set
  MESSAGE="$PROGNAME: $*"
  echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2
  if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
    echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
  fi
}
 
message_nonl () {
  # pretty-print messages of arbitrary length (no trailing newline); use
  # xmessage if it is available and $DISPLAY is set
  MESSAGE="$PROGNAME: $*"
  echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2;
  if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
    echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
  fi
}
 
errormsg () {
  # exit script with error
  message "$*"
  exit 1
}
 
internal_errormsg () {
  # exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
  # One big call to message() for the sake of xmessage; if we had two then
  # the user would have dismissed the error we want reported before seeing the
  # request to report it.
  errormsg "$*" \
           "Please report the installed version of the \"x11-common\"" \
           "package and the complete text of this error message to" \
           "<debian-x@lists.debian.org>."
}
 
run_parts () {
  # until run-parts --noexec is implemented
  if [ -z "$1" ]; then
    internal_errormsg "run_parts() called without an argument."
  fi
  if [ ! -d "$1" ]; then
    internal_errormsg "run_parts() called, but \"$1\" does not exist or is" \
                      "not a directory."
  fi
  for F in $(/bin/ls $1); do
    if expr "$F" : '[[:alnum:]_-]\+$' > /dev/null 2>&1; then
      if [ -f "$1/$F" ]; then
        echo "$1/$F"
      fi
    fi
  done
}
 
# initialize variables for use by all session scripts
 
OPTIONFILE=/etc/X11/Xsession.options
 
SYSRESOURCES=/etc/X11/Xresources
USRRESOURCES=$HOME/.Xresources
 
SYSSESSIONDIR=/etc/X11/Xsession.d
USERXSESSION=$HOME/.xsession
ALTUSERXSESSION=$HOME/.Xsession
ERRFILE=$HOME/.xsession-errors
 
# attempt to create an error file; abort if we cannot
if (umask 077 && touch "$ERRFILE" ) 2> /dev/null && [ -w "$ERRFILE" ] &&
  [ ! -L "$ERRFILE" ]; then
  chmod 600 "$ERRFILE"
elif ERRFILE=$(tempfile 2> /dev/null); then
  if ! ln -sf "$ERRFILE" "${TMPDIR:=/tmp}/xsession-$USER"; then
    message "warning: unable to symlink \"$TMPDIR/xsession-$USER\" to" \
             "\"$ERRFILE\"; look for session log/errors in" \
             "\"$TMPDIR/xsession-$USER\"."
  fi
else
  errormsg "unable to create X session log/error file; aborting."
fi
 
exec >>"$ERRFILE" 2>&1
 
echo "$PROGNAME: X session started for $LOGNAME at $(date)"
 
# sanity check; is our session script directory present?
if [ ! -d "$SYSSESSIONDIR" ]; then
  errormsg "no \"$SYSSESSIONDIR\" directory found; aborting."
fi
 
# Attempt to create a file of non-zero length in /tmp; a full filesystem can
# cause mysterious X session failures.  We do not use touch, :, or test -w
# because they won't actually create a file with contents.  We also let standard
# error from tempfile and echo go to the error file to aid the user in
# determining what went wrong.
WRITE_TEST=$(tempfile)
if ! echo "*" >>"$WRITE_TEST"; then
  message "warning: unable to write to ${WRITE_TEST%/*}; X session may exit" \
          "with an error"
fi
rm -f "$WRITE_TEST"
 
# use run-parts to source every file in the session directory; we source
# instead of executing so that the variables and functions defined above
# are available to the scripts, and so that they can pass variables to each
# other
SESSIONFILES=$(run_parts $SYSSESSIONDIR)
if [ -n "$SESSIONFILES" ]; then
  set +e
  for SESSIONFILE in $SESSIONFILES; do
    . $SESSIONFILE
  done
  set -e
fi
 
exit 0
 
# vim:set ai et sts=2 sw=2 tw=80:
 


---------------
Be the one with the flames.
n°991627
vincegr
Posté le 15-12-2007 à 13:58:38  profilanswer
 

En effet, il y a un problème, il ne ressemble pas du tout à ça mon fichier !
Et comment on signal un bug, j'ai jamais fait ça moi !

n°991628
Riot
Buy me a riot
Posté le 15-12-2007 à 14:04:06  profilanswer
 

Dans une console, tu lances l'utilitaire 'reportbug'.


---------------
Be the one with the flames.
n°991640
THRAK
- THR4K -
Posté le 15-12-2007 à 14:45:07  profilanswer
 

vincegr a écrit :

En effet, il y a un problème, il ne ressemble pas du tout à ça mon fichier !
Et comment on signal un bug, j'ai jamais fait ça moi !


Quelques conseils avant de rapporter un bug :
 

  • met ton système à jour
  • purge et ré-installe le(s) paquet(s) qui pose(nt) problème
  • fais le test avec un nouvel utilisateur (de sorte à avoir un /home vierge de toutes préférences pouvant être à l'origine du problème)


Ensuite, si malgré tout cela le bug persiste, fait un rapport de bug.
Plus d'infos : http://www.debian.org/Bugs/Reporting
 
 

Riot a écrit :

Dans une console, tu lances l'utilitaire 'reportbug'.


 :jap:  
 
Précisons qu'il faut bien sûr l'installer au préalable afin d'éviter un : command not found / commande non trouvée.  :o  


---------------
THRAK (def.) : 1) A sudden and precise impact moving from intention, direction and commitment, in service of an aim. 2) 117 guitars almost striking the same chord simultaneously.
n°991790
vincegr
Posté le 16-12-2007 à 12:50:57  profilanswer
 

Tout a été mis à jour et j'ai également créé un nouvel utilisateur.
Je vais donc soumettre le bug.
Merci pour vos coups de main !
 
Edit : bug soumis


Message édité par vincegr le 16-12-2007 à 13:27:22
mood
Publicité
Posté le   profilanswer
 


Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  [Debian Sid] KDE ne se lance plus

 

Sujets relatifs
comment connaitre la version d'une vmware sous linux debian??Problème à l'installation de DEBIAN 4
[Résolut] Partage internet par Linux Debian pour Windows avec un hubproblème ntp sur debian vmware
Installer GD sur Debian SargeKDE disque dur externe NTFS avec ntfs-3g et ntfs-config
[Debian] Configuration d'un clavier AppleDev C++/KDE
le cool'n quiet sous debian[Résolu] WoL Debian fonctionne dans certains cas
Plus de sujets relatifs à : [Debian Sid] KDE ne se lance plus


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite / Données personnelles) / Groupe LDLC / Shop HFR